<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for TimeSheetTimeGrid StructType
 * @subpackage Structs
 */
class TimeSheetTimeGrid extends AbstractStructBase
{
    /**
     * The sunday
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TimeEntry
     */
    public $sunday;
    /**
     * The monday
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TimeEntry
     */
    public $monday;
    /**
     * The tuesday
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TimeEntry
     */
    public $tuesday;
    /**
     * The wednesday
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TimeEntry
     */
    public $wednesday;
    /**
     * The thursday
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TimeEntry
     */
    public $thursday;
    /**
     * The friday
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TimeEntry
     */
    public $friday;
    /**
     * The saturday
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\TimeEntry
     */
    public $saturday;
    /**
     * Constructor method for TimeSheetTimeGrid
     * @uses TimeSheetTimeGrid::setSunday()
     * @uses TimeSheetTimeGrid::setMonday()
     * @uses TimeSheetTimeGrid::setTuesday()
     * @uses TimeSheetTimeGrid::setWednesday()
     * @uses TimeSheetTimeGrid::setThursday()
     * @uses TimeSheetTimeGrid::setFriday()
     * @uses TimeSheetTimeGrid::setSaturday()
     * @param \StructType\TimeEntry $sunday
     * @param \StructType\TimeEntry $monday
     * @param \StructType\TimeEntry $tuesday
     * @param \StructType\TimeEntry $wednesday
     * @param \StructType\TimeEntry $thursday
     * @param \StructType\TimeEntry $friday
     * @param \StructType\TimeEntry $saturday
     */
    public function __construct(\StructType\TimeEntry $sunday = null, \StructType\TimeEntry $monday = null, \StructType\TimeEntry $tuesday = null, \StructType\TimeEntry $wednesday = null, \StructType\TimeEntry $thursday = null, \StructType\TimeEntry $friday = null, \StructType\TimeEntry $saturday = null)
    {
        $this
            ->setSunday($sunday)
            ->setMonday($monday)
            ->setTuesday($tuesday)
            ->setWednesday($wednesday)
            ->setThursday($thursday)
            ->setFriday($friday)
            ->setSaturday($saturday);
    }
    /**
     * Get sunday value
     * @return \StructType\TimeEntry|null
     */
    public function getSunday()
    {
        return $this->sunday;
    }
    /**
     * Set sunday value
     * @param \StructType\TimeEntry $sunday
     * @return \StructType\TimeSheetTimeGrid
     */
    public function setSunday(\StructType\TimeEntry $sunday = null)
    {
        $this->sunday = $sunday;
        return $this;
    }
    /**
     * Get monday value
     * @return \StructType\TimeEntry|null
     */
    public function getMonday()
    {
        return $this->monday;
    }
    /**
     * Set monday value
     * @param \StructType\TimeEntry $monday
     * @return \StructType\TimeSheetTimeGrid
     */
    public function setMonday(\StructType\TimeEntry $monday = null)
    {
        $this->monday = $monday;
        return $this;
    }
    /**
     * Get tuesday value
     * @return \StructType\TimeEntry|null
     */
    public function getTuesday()
    {
        return $this->tuesday;
    }
    /**
     * Set tuesday value
     * @param \StructType\TimeEntry $tuesday
     * @return \StructType\TimeSheetTimeGrid
     */
    public function setTuesday(\StructType\TimeEntry $tuesday = null)
    {
        $this->tuesday = $tuesday;
        return $this;
    }
    /**
     * Get wednesday value
     * @return \StructType\TimeEntry|null
     */
    public function getWednesday()
    {
        return $this->wednesday;
    }
    /**
     * Set wednesday value
     * @param \StructType\TimeEntry $wednesday
     * @return \StructType\TimeSheetTimeGrid
     */
    public function setWednesday(\StructType\TimeEntry $wednesday = null)
    {
        $this->wednesday = $wednesday;
        return $this;
    }
    /**
     * Get thursday value
     * @return \StructType\TimeEntry|null
     */
    public function getThursday()
    {
        return $this->thursday;
    }
    /**
     * Set thursday value
     * @param \StructType\TimeEntry $thursday
     * @return \StructType\TimeSheetTimeGrid
     */
    public function setThursday(\StructType\TimeEntry $thursday = null)
    {
        $this->thursday = $thursday;
        return $this;
    }
    /**
     * Get friday value
     * @return \StructType\TimeEntry|null
     */
    public function getFriday()
    {
        return $this->friday;
    }
    /**
     * Set friday value
     * @param \StructType\TimeEntry $friday
     * @return \StructType\TimeSheetTimeGrid
     */
    public function setFriday(\StructType\TimeEntry $friday = null)
    {
        $this->friday = $friday;
        return $this;
    }
    /**
     * Get saturday value
     * @return \StructType\TimeEntry|null
     */
    public function getSaturday()
    {
        return $this->saturday;
    }
    /**
     * Set saturday value
     * @param \StructType\TimeEntry $saturday
     * @return \StructType\TimeSheetTimeGrid
     */
    public function setSaturday(\StructType\TimeEntry $saturday = null)
    {
        $this->saturday = $saturday;
        return $this;
    }
}
